CREATE FUNCTION udf_generate_inlist_to_table 
( @list varchar ( 500 ) ) 
RETURNS @tbl TABLE ( listitem varchar ( 100 ) NOT NULL ) 
AS 
BEGIN 
    DECLARE @pos int , 
    @textpos int , 
    @chunklen smallint , 
    @str nvarchar ( 4000 ) , 
    @tmpstr nvarchar ( 4000 ) , 
    @leftover nvarchar ( 4000 ) 
    SET @textpos = 1 
    SET @leftover =  
    WHILE @textpos <= datalength ( @list ) / 2 
    BEGIN 
        SET @chunklen = 4000  datalength ( @leftover ) / 2 
        SET @tmpstr = ltrim ( @leftover + substring ( @list , @textpos , @chunklen ) ) 
        SET @textpos = @textpos + @chunklen 
        SET @pos = charindex (  ,  , @tmpstr ) 
        WHILE @pos > 0 
        BEGIN 
            SET @str = substring ( @tmpstr , 1 , @pos - 1 ) 
            INSERT @tbl ( listitem ) VALUES ( @str ) 
            SET @tmpstr = ltrim ( substring ( @tmpstr , @pos + 1 , len ( @tmpstr ) ) ) 
            SET @pos = charindex (  ,  , @tmpstr ) 
        END 

        SET @leftover = @tmpstr 
    END 

    IF ltrim ( rtrim ( @leftover ) ) <>  
    INSERT @tbl ( listitem ) VALUES ( @leftover ) 
    RETURN 
END 
 - STORED PROCEDURE SCRIPT: 
CREATE PROCEDURE [dbo].[usp_RunSQLonAllServers] 
SQLdbadev01 , 
sqldbadev02 , 
sqldbadev03? , 
dba_stat , 
@SQLStatement = select name FROM sysobjects WHERE type = u @ServerList varchar ( 8000 ) = NULL , 
@DbName varchar ( 50 ) , 
@SQLFile varchar ( 200 ) = NULL , 
@SQLStatement varchar ( 8000 ) = NULL , 
@OutPutFile varchar ( 200 ) = e:\batch_admin\usp_RunSQLonALLServers.log 
AS 
SET NOCOUNT ON 
DECLARE @machine varchar ( 50 ) , 
@cmd varchar ( 8000 ) , 
@rc int , 
@errornum int , 
@errormsg varchar ( 500 ) , 
@RowCount int 
SET @cmd = echo >  + @outputfile 

EXEC master..xp_cmdshell @cmd 
IF @ServerList IS NULL 
DECLARE machine_name CURSOR FOR 
SELECT Server FROM < YOUR SERVER INVENTORY TABLE > 

ELSE 
DECLARE machine_name CURSOR FOR 
SELECT listitem FROM dbo.udf_generate_inlist_to_table ( @ServerList )  this FUNCTION generates one COLUMN TABLE WITH  ALL the VALUES FROM passed commaseparated list 

OPEN machine_name 
FETCH NEXT FROM machine_name 
INTO @machine 
WHILE @@FETCH_STATUS = 0 
BEGIN 
    IF @SQLFile IS NOT NULL 
    SET @cmd = osql - S + @machine +  - d + @dbname +  - w8000 - E - h - 1 - s| - n - b - i + @SQLFile +  >>  + @OutPutFile 
    ELSE IF @SQLStatement IS NOT NULL 
    SET @cmd = osql - S + @machine +  - d + @dbname +  - w8000 - E - h - 1 - s| - n - b - Qset NOCOUNT ON  + @SQLStatement +  >>  + @OutPutFile 
    PRINT @cmd 

    EXEC @rc = master..xp_cmdshell @cmd , no_output 
    IF @rc <> 0 
    PRINT Unable TO connect TO  + @machine + . + @dbname + . CHECK the Output FOR detail 

    FETCH NEXT FROM machine_name 
    INTO @machine 
END 
CLOSE machine_name 
DEALLOCATE machine_name 
GO