--Query sample 
SELECT * FROM TB_USERS AS U  
INNER JOIN TB_MENU_USERS AS M  
    ON U.USR_ID = M.USR_ID  
WHERE U.USRNAME = 'RAMOS';
 
--Create a Plan Guide 
DECLARE @query nvarchar(max);  
DECLARE @param nvarchar(max);  
EXEC sp_get_query_template   
    N'SELECT * FROM TB_USERS AS U  
      INNER JOIN TB_MENU_USERS AS M  
          ON U.USR_ID = M.USR_ID  
      WHERE U.USRNAME = ''RAMOS'';',  
    @query OUTPUT,   
    @param OUTPUT  
EXEC sp_create_plan_guide N'PG_USER_MENU',   
    @query,   
    N'TEMPLATE',   
    NULL,   
    @param,   
    N'OPTION(PARAMETERIZATION FORCED)';  
 
